"Ignore/Append/Add" settings are not being respected during interactive Leap2a import

Bug #1361005 reported by Son Nguyen on 2014-08-25
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
1.10
High
Son Nguyen
1.9
High
Son Nguyen
15.04
High
Son Nguyen
15.10
High
Son Nguyen

Bug Description

During interactive Leap2a import, you have the option to choose whether to ignore, append, add, or overwrite, for many fields. Due to a code change in 1.9, these settings are being ignored, and the default ignore/add value for each field is used, regardless of which action you choose.

Version: master(1.10), 1.9

Steps
1. Login as an user
2. Choose a leap2a xml file for self-importing (Portfolio/Import)
3. Select 'Ignore' for a page 'A'
4. Click Import

Expected: The page 'A' should not be imported
Actual: It is imported.

Reviewed: https://reviews.mahara.org/3662
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/a61c66edf920201295d33b2f3e796e09b45565c2
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit a61c66edf920201295d33b2f3e796e09b45565c2
Author: Son Nguyen <email address hidden>
Date: Mon Aug 25 16:23:17 2014 +1200

Checking incorrect names for leap2a interactive import options (Bug 1361005)

While the IDs for the radio buttons are of the form "decision_X_X", we're
looking at their names here, not IDs. And the names are just "decision_X".

Change-Id: Id7e0ec1df62cca6cae261b9b7eda9fbe3dbf9431
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/4966

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/4967

Aaron Wells (u-aaronw) on 2015-07-16
tags: added: needs-behat-test

Reviewed: https://reviews.mahara.org/4967
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/5cadaa45c3f6f2276334cfbce35f54e88578a623
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 5cadaa45c3f6f2276334cfbce35f54e88578a623
Author: Son Nguyen <email address hidden>
Date: Mon Aug 25 16:23:17 2014 +1200

Checking incorrect names for leap2a interactive import options (Bug 1361005)

While the IDs for the radio buttons are of the form "decision_X_X", we're
looking at their names here, not IDs. And the names are just "decision_X".

Change-Id: Id7e0ec1df62cca6cae261b9b7eda9fbe3dbf9431
Signed-off-by: Son Nguyen <email address hidden>
(cherry picked from commit a61c66edf920201295d33b2f3e796e09b45565c2)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4966
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/3f83b670f08e6990a1b46d4a510323e6ddd20e6b
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 3f83b670f08e6990a1b46d4a510323e6ddd20e6b
Author: Son Nguyen <email address hidden>
Date: Mon Aug 25 16:23:17 2014 +1200

Checking incorrect names for leap2a interactive import options (Bug 1361005)

While the IDs for the radio buttons are of the form "decision_X_X", we're
looking at their names here, not IDs. And the names are just "decision_X".

Change-Id: Id7e0ec1df62cca6cae261b9b7eda9fbe3dbf9431
Signed-off-by: Son Nguyen <email address hidden>
(cherry picked from commit a61c66edf920201295d33b2f3e796e09b45565c2)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4965
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/c9f6a0343f2e87c9cbe2e3b1de52035e8fe6d8cb
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit c9f6a0343f2e87c9cbe2e3b1de52035e8fe6d8cb
Author: Son Nguyen <email address hidden>
Date: Mon Aug 25 16:23:17 2014 +1200

Checking incorrect names for leap2a interactive import options (Bug 1361005)

While the IDs for the radio buttons are of the form "decision_X_X", we're
looking at their names here, not IDs. And the names are just "decision_X".

Change-Id: Id7e0ec1df62cca6cae261b9b7eda9fbe3dbf9431
Signed-off-by: Son Nguyen <email address hidden>
(cherry picked from commit a61c66edf920201295d33b2f3e796e09b45565c2)

Thanks to Kwantlen Polytechnic University for sponsoring this bug fix!

Aaron Wells (u-aaronw) on 2015-07-20
summary: - Ignore an item when interactive self-importing did NOT work
+ "Ignore/Append/Add" settings are not being respected during interactive
+ Leap2a import
description: updated
Aaron Wells (u-aaronw) on 2015-10-23
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers